#include <QString>

namespace Patcher
{
	enum Files
	{
		ATTACK,
		BLACKTWR,
		BLOODSEA,
		VIRGIL,
		CANYON,
		COMBINE,
		CATWALK,
		FISTULA,
		GARRISON,
		GERYON,
		MANOR,
		MEPHISTO,
		MINOS,
		NESSUS,
		PARADOX,
		SUBSPACE,
		SUBTERRA,
		TEETH,
		TTRAP,
		VESPERAS,

		NUM_FILES
	};
	enum MapProgression
	{
		MP_DOOMCLASSICFIXED,
		MP_DOOMCLASSIC,
		MP_PLAYSTATIONEXTENDED,
		MP_XBOXEXTENDED,
		MP_XBOX,
		MP_PLAYSTATION,
		MP_XASER,
		MP_XASERTEXT
	};
	enum MusicSelections
	{
		MS_DOOMCLASSIC,
		MS_PCSTRICT,
		MS_BLZUT3PICKS,
		MS_XASERPICKS
	};
	extern const char* const filenames[];

	QString patch(const char* in, const char* out, MapProgression progression, MusicSelections musicSelections, const QString &doomWad, const QString &doom2Wad);
};
